package jp.mehve.io;

import java.io.IOException;
import java.io.OutputStream;

/**
 * NullOutputStream is a stream which behaves like /dev/null
 * 
 * @author shinyak
 * 
 */
public class NullOutputStream extends OutputStream {

    @Override
    public void write(int arg0) throws IOException {
        // Do Nothing
    }

    @Override
    public void write(byte[] b, int off, int len) throws IOException {
        // Do Nothing
    }

    @Override
    public void write(byte[] b) throws IOException {
        // Do Nothing
    }
}
