package jp.mehve.xml;

public class XMLEncoding {
    
    /**
     * escape XML and output to buf
     * @param str
     * @param buf
     * @return
     */
    public static void escapeXML(String str, StringBuffer buf) {
        if (str == null) { return; }
        
        for (int i = 0; i < str.length(); ++i) {
            switch (str.charAt(i)) {
            case '<':
                buf.append("&lt;");
                break;
            case '>':
                buf.append("&gt;");
                break;
            case '\"':
                buf.append("&quot;");
                break;
//            case '\'':
//                buf.append("&apos;");
//                break;
            case '&':
                buf.append("&amp;");
                break;
            default:
                buf.append(str.charAt(i));
                break;
            }
        }        
    }
    
    public static String escapeXML(String str) {
        if (str == null) { return null; }
        
        StringBuffer buf = new StringBuffer();
        escapeXML(str, buf);
        return buf.toString();
    }

}
