/**
 * Pair.java
 * Copyright (C) KAWANAKA Shinya 2006- All Rights Reserved
 * 
 * Created: 2007/03/26
 * $Id$
 *
 * @author shinyak
 */
package jp.mehve.util;

/**
 * generic 2-tuple.
 * 
 * @author shinyak
 * 
 */
public class Pair<F, S> {
    private F first;
    private S second;

    public Pair(F fst, S snd) {
        this.first = fst;
        this.second = snd;
    }

    public F getFirst() {
        return first;
    }

    public S getSecond() {
        return second;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof Pair)) { return false; }

        Pair pair = (Pair) obj;
        return ObjectUtil.objEqual(this.first, pair.first) && ObjectUtil.objEqual(this.second, pair.second);
    }
}
